
CoCoALib - Support #574

Tidy CoCoA root directory

19 Jun 2014 11:22 - John Abbott

Status: Closed Start date: 19 Jun 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 0.44 hour

Target version: CoCoALib-0.99560 Spent time: 0.35 hour

Description

There are too many files/directories in the CoCoA root directory.

I think we can remove the GPLv2 file since there is also the GPLv3 file.

Perhaps the INSTALL files can be incorporated into the README file?

Related issues:

Related to CoCoALib - Design #1124: Move examples directory into doc -- or ju... Closed 16 Nov 2017

History

#1 - 28 Apr 2017 11:21 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoALib

- Category changed from Administration to Tidying

- Assignee set to John Abbott

- Target version set to CoCoALib-0.99560

This issue was under "CoCoA" instead of "CoCoALib".

I'm recovering these old and forgotten issues, so we reconsider them.

#2 - 06 Nov 2017 15:24 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 80

I think this has been mostly done.

There is no longer the GPLv2 file, no any file called INSTALL (but there is README).

Currently I have 10 entries in the root directory:

6 directories (configuration/, doc/, examples/, include/, lib/, and src/);

4 files (configure, COPYING-GPLv3, Makefile, README)

It is not clear how this number could be reduced (except perhaps moving examples/ into src/??)

PS note that lib/ is created automatically when the library is created.

#3 - 08 Nov 2017 18:31 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100
- Estimated time set to 0.44 h

JAA thinks the current situation is acceptable, and does not see an easy way to improve it.

Closing.

#4 - 16 Nov 2017 15:24 - John Abbott

- Related to Design #1124: Move examples directory into doc -- or just change makefile? added
